routes/admin.php
<?php

use Illuminate\Support\Facades\Route;

Route::group(
    [
        'prefix' => 'admin',
        'as'     => 'admin.',
    ],
    function () {

		Route::group(
            [
                'prefix' => 'auth',
                'as'     => 'auth.',
            ],
            function () {
                Route::get('login', ['as' => 'login', 'uses' => 'AuthController@getLogin']);

                Route::post('login', ['as' => 'login.post', 'uses' => 'AuthController@postLogin']);

                // users

                Route::get('logout', ['as' => 'logout', 'uses' => 'AuthController@getLogout']);

            }
        );



        Route::group(
            [
                'middleware' => 'auth.admin',
            ],
            function () {
                Route::get('/', ['as' => 'home', 'uses' => 'DashboardController@index']);

                // roles
                Route::resource('role', 'RoleController');

                // users
                Route::get(
                    'user/find',
                    [
                        'middleware' => 'ajax',
                        'as'         => 'user.find',
                        'uses'       => 'UserController@find',
                    ]
                );
                Route::post(
                    'user/{id}/ajax_field',
                    [
                        'middleware' => ['ajax'],
                        'as'         => 'user.ajax_field',
                        'uses'       => 'UserController@localAjaxFieldChange',
                    ]
                );
                Route::get(
                    'user/new_password/{id}',
                    ['as' => 'user.new_password.get', 'uses' => 'UserController@getNewPassword']
                );
                Route::post(
                    'user/new_password/{id}',
                    ['as' => 'user.new_password.post', 'uses' => 'UserController@postNewPassword']
                );

                Route::resource('user', 'UserController', ['except' => 'delete']);


                // roles
                Route::resource('role', 'RoleController');


                

		// variables
                Route::post(
                    'variable/{id}/ajax_field',
                    array (

                        'as'         => 'variable.ajax_field',
                        'uses'       => 'VariableController@ajaxFieldChange',
                    )
                );
                Route::get(
                    'variable/value/index',
                    ['as' => 'variable.value.index', 'uses' => 'VariableController@indexValues']
                );
                Route::post(
                    'variable/value/update',
                    [

                        'as'         => 'variable.value.update',
                        'uses'       => 'VariableController@updateValue',
                    ]
                );
                Route::resource('variable', 'VariableController');
    });


                // files download
                Route::get(
                    'download-file',
                    ['as' => 'download.file', 'uses' => 'BackendController@downloadFile']
                );

    });

routes/web.php
<?php

use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return view('welcome');
})->name('home');

Route::post('/support', 'Frontend\SupportController@store');

resources/views/admin/partials/breadcrumbs.blade.php
<ol class="breadcrumb">
    <li class="first">
        <a href="{!! route('admin.home') !!}"><i class="fa fa-home"></i> @lang('admin_labels.home')</a>
    </li>
    @foreach ($breadcrumbs as $i => $data)

        <li {!! ($i == count($breadcrumbs)-1 ? 'class="active"':'') !!}>
            @if ($data['url'])
                <a href="{!! $data['url'] !!}">{!! $data['name'] !!}</a>
            @else
                {!! $data['name'] !!}
            @endif
        </li>
    @endforeach
</ol>

resources/views/admin/partials/content_header.blade.php
<section class="content-header">
    @if (!empty($page_title))
        <h1>{!! $page_title !!}</h1>
    @endif

    @include('partials.breadcrumbs', ['breadcrumbs' => $breadcrumbs ])
</section>

resources/views/admin/partials/image.blade.php
@if (empty($src))
    <?php $src = $no_image; ?>
@endif

@if (empty($attributes['width']))
    <?php $attributes['width'] = 50; ?>
@endif

@if (empty($attributes['height']))
    <?php $attributes['height'] = $attributes['width']; ?>
@endif

<img src="{!! thumb($src, $attributes['width'], $attributes['height']) !!}"
    @if (!empty($attributes) && count($attributes))
        @foreach($attributes as $key => $value)
            {!! $key !!}="{!! $value !!}"
        @endforeach
    @endif
/>

resources/views/admin/partials/menu.blade.php
<aside class="main-sidebar">
    <section class="sidebar">
        <ul class="sidebar-menu">
            @if ($user->hasAccess(['role.read', 'user.read']))
                <li class="header">@lang('labels.users')</li>
            @endif

            @if ($user->hasAccess('user.read'))
                <li class="{!! active_class('admin.user.index*') !!}">
                    <a href="{!! route('admin.user.index') !!}">
                        <i class="fa fa-user"></i>
                        <span>@lang('labels.users')</span>

                        @if ($user->hasAccess('user.create'))
                            <small class="label create-label pull-right bg-green" title="@lang('labels.add_user')"
                                   data-href="{!! route('admin.user.create') !!}">
                                <i class="fa fa-plus"></i>
                            </small>
                        @endif
                    </a>
                </li>
            @endif
            @if ($user->hasAccess('speaker.read'))
                <li class="{!! active_class('admin.speaker.index*') !!}">
                    <a href="{!! route('admin.speaker.index') !!}">
                        <i class="fa fa-user"></i>
                        <span>@lang('labels.speakers')</span>

                        @if ($user->hasAccess('speaker.create'))
                            <small class="label create-label pull-right bg-green" title="@lang('labels.add_speaker')"
                                   data-href="{!! route('admin.speaker.create') !!}">
                                <i class="fa fa-plus"></i>
                            </small>
                        @endif
                    </a>
                </li>
            @endif
            @if ($user->hasAccess('role.read'))
                <li class="{!! active_class('admin.role.index*') !!}">
                    <a href="{!! route('admin.role.index') !!}">
                        <i class="fa fa-users"></i>
                        <span>@lang('labels.roles')</span>

                        @if ($user->hasAccess('role.create'))
                            <small class="label create-label pull-right bg-green" title="@lang('labels.add_group')"
                                   data-href="{!! route('admin.role.create') !!}">
                                <i class="fa fa-plus"></i>
                            </small>
                        @endif
                    </a>
                </li>
            @endif

		@if ($user->hasAccess(['category.read','product.read']))
			<li class="header">@lang('labels.product')</li>
			@endif
      @if ($user->hasAccess('category.read'))
          <li class="{!! active_class('admin.catalog.category*') !!}">
              <a href="{!! route('admin.catalog.category.index') !!}">
                  <i class="fa fa-file-text"></i>
                  <span>@lang('labels.category')</span>

                  @if ($user->hasAccess('catalog.category.create'))
                      <small class="label create-label pull-right bg-green" title="@lang('labels.add')"
                             data-href="{!! route('admin.catalog.category.create') !!}">
                          <i class="fa fa-plus"></i>
                      </small>
                  @endif
              </a>
          </li>
      @endif

			@if ($user->hasAccess('product.read'))
                <li class="{!! active_class('admin.product*') !!}">
                    <a href="{!! route('admin.catalog.product.index') !!}">
                        <i class="fa fa-file-text"></i>
                        <span>@lang('labels.product')</span>

                        @if ($user->hasAccess('product.create'))
                            <small class="label create-label pull-right bg-green" title="@lang('labels.add')"
                                   data-href="{!! route('admin.catalog.product.create') !!}">
                                <i class="fa fa-plus"></i>
                            </small>
                        @endif
                    </a>
                </li>
            @endif

            @if ($user->hasAccess(['page.read']))
                <li class="header">@lang('admin_labels.content')</li>
            @endif

           @if ($user->hasAccess('page.read'))
                <li class="{!! active_class('admin.page*') !!}">
                    <a href="{!! route('admin.page.index') !!}">
                        <i class="fa fa-file-text"></i>
                        <span>@lang('labels.pages')</span>

                        @if ($user->hasAccess('page.create'))
                            <small class="label create-label pull-right bg-green" title="@lang('labels.add_page')"
                                   data-href="{!! route('admin.page.create') !!}">
                                <i class="fa fa-plus"></i>
                            </small>
                        @endif
                    </a>
                </li>
            @endif

            @if ($user->hasAccess('blog.read'))
                <li class="{!! active_class('admin.blog*') !!}">
                    <a href="{!! route('admin.blog.index') !!}">
                        <i class="fa fa-book"></i>
                        <span>@lang('labels.blog')</span>

                        @if ($user->hasAccess('blog.create'))
                            <small class="label create-label pull-right bg-green" title="@lang('labels.add_blog')"
                                   data-href="{!! route('admin.blog.create') !!}">
                                <i class="fa fa-plus"></i>
                            </small>
                        @endif
                    </a>
                </li>
            @endif

            @if ($user->hasAccess('blog_category.read'))
                <li class="{!! active_class('admin.blog_category*') !!}">
                    <a href="{!! route('admin.blog_category.index') !!}">
                        <i class="fa fa-th-list"></i>
                        <span>@lang('labels.blog_category')</span>

                        @if ($user->hasAccess('blog_category.create'))
                            <small class="label create-label pull-right bg-green" title="@lang('labels.add_blog_category')"
                                   data-href="{!! route('admin.blog_category.create') !!}">
                                <i class="fa fa-plus"></i>
                            </small>
                        @endif
                    </a>
                </li>
            @endif
			@if ($user->hasAccess('faq_category.read'))
                    <li class="{!! active_class('admin.faq_category*') !!}">
                        <a href="{!! route('admin.faq_category.index') !!}">
                            <i class="fa fa-th-list"></i>
                            <span>@lang('labels.faq_category')</span>

                            @if ($user->hasAccess('faq_category.create'))
                                <small class="label create-label pull-right bg-green" title="@lang('labels.add_faq_category')"
                                       data-href="{!! route('admin.faq_category.create') !!}">
                                    <i class="fa fa-plus"></i>
                                </small>
                            @endif
                        </a>
                    </li>
                @endif

                @if ($user->hasAccess('faq.read'))
                    <li class="{!! active_class('admin.faq*') !!}">
                        <a href="{!! route('admin.faq.index') !!}">
                            <i class="fa fa-question-circle"></i>
                            <span>@lang('labels.faq')</span>

                            @if ($user->hasAccess('faq.create'))
                                <small class="label create-label pull-right bg-green" title="@lang('labels.add_faq')"
                                       data-href="{!! route('admin.faq.create') !!}">
                                    <i class="fa fa-plus"></i>
                                </small>
                            @endif
                        </a>
                    </li>
                @endif


				@if ($user->hasAccess('news.read'))
                    <li class="{!! active_class('admin.news*') !!}">
                        <a href="{!! route('admin.news.index') !!}">
                            <i class="fa fa-newspaper-o"></i>
                            <span>@lang('labels.news')</span>

                            @if ($user->hasAccess('news.create'))
                                <small class="label create-label pull-right bg-green" title="@lang('labels.add')"
                                       data-href="{!! route('admin.news.create') !!}">
                                    <i class="fa fa-plus"></i>
                                </small>
                            @endif
                        </a>
                    </li>
                @endif

			@if ($user->hasAccess(['translation.read']))
                <li class="header">@lang('admin_labels.settings')</li>
            @endif

            @if ($user->hasAccess('translation.read'))
                <li class="treeview {!! active_class('admin.translation.index*') !!}">
                    <a href="#">
                        <i class="fa fa-language"></i>
                        <span>@lang('admin_labels.translations')</span>
                        <i class="fa fa-angle-left pull-right"></i>
                    </a>
                    <ul class="treeview-menu">
                        @foreach($translation_groups as $group)
                            <li class="{!! url_active_class('') !!}">
                                <a href="">
                                    <span>@lang('admin_labels.translation_group_' . $group)</span>
                                </a>
                            </li>
                        @endforeach
                    </ul>
                </li>
            @endif

				@if ($user->hasAccess(['variable.value.read']))
                    <li class="header">@lang('labels.directory')</li>
                @endif

                 @if ($user->hasAccess('variable.show.content'))
                <li class="{!! active_class('admin.variable*') !!}">
                    <a href="{!! route('admin.variable.index') !!}">
                        <i class="fa fa-cog"></i>
                        <span>@lang('labels.variables')</span>
                    </a>
                </li>
            	@endif
        </ul>
    </section>
</aside>

resources/views/admin/partials/messages.blade.php
<div class="message-container">
    @if ($messages->has('error'))
        @foreach ($messages->get('error') as $message)
            <div class="alert alert-danger alert-dismissible">
                <button type="button" class="close" data-dismiss="alert" aria-hidden="true">×</button>
                {!!$message!!}
            </div>
        @endforeach
    @endif

    @if ($messages->has('warning'))
        @foreach ($messages->get('warning') as $message)
            <div class="alert alert-dismissable alert-warning">
                <button type="button" class="close" data-dismiss="alert" aria-hidden="true">×</button>
                {!!$message!!}
            </div>
        @endforeach
    @endif

    @if ($messages->has('info'))
		@foreach ($messages->get('info') as $message)
			<div class="alert alert-dismissable alert-info">
				<button type="button" class="close" data-dismiss="alert" aria-hidden="true">×</button>
				{!!$message!!}
			</div>
		@endforeach
	@endif

	@if ($messages->has('success'))
		@foreach ($messages->get('success') as $message)
			<div class="alert alert-dismissable alert-success">
				<button type="button" class="close" data-dismiss="alert" aria-hidden="true">×</button>
				{!!$message!!}
			</div>
		@endforeach
	@endif
</div>

resources/views/admin/partials/modal.blade.php
<div id="modal" class="modal" tabindex="-1" role="dialog"></div>

resources/views/admin/partials/navigation.blade.php
<header class="main-header">
    <div class="logo position-relative">
        <a href="{!! route('admin.home') !!}" class="logo-link">
            <span class="logo-mini upper-case">{!! str_limit(config('app.name'), 3, '') !!}</span>

            <span class="logo-lg upper-case">
                {!! str_limit(config('app.name'), 12) !!}
            </span>
        </a>

        <div class="front-home-link" data-href="/" title="@lang('admin_labels.go_to_front')">
            <i class="fa fa-external-link"></i>
        </div>
    </div>

    <nav class="navbar navbar-static-top" role="navigation">
        <a href="#" class="sidebar-toggle" data-toggle="offcanvas" role="button">
            <span class="sr-only">@lang('admin_labels.toggle_navigation')</span>
        </a>
    </nav>
</header>